FREEFOAM-TETGENTOFOAM(1)

NAME
freefoam-tetgenToFoam - Converts .ele and .node and .face files, written by tetgen.

SYNOPSIS

freefoam tetgenToFoam <file prefix> [-help] [-srcDoc] [-noFaceFile] [-doc] [-parallel] [-case <dir>]

DESCRIPTION

Make sure to use add boundary attributes to the smesh file (5 fifth column in the element section) and run tetgen with -f option.

Sample smesh file:

        # cube.smesh -- A 10x10x10 cube
        8 3
        1   0 0 0
        2   0 10 0
        3   10 10 0
        4   10 0 0
        5   0 0 10
        6   0 10 10
        7   10 10 10
        8   10 0 10
        6 1                 # 1 for boundary info present
        4   1 2 3 4 11  # region number 11
        4   5 6 7 8 21  # region number 21
        4   1 2 6 5 3
        4   4 3 7 8 43
        4   1 5 8 4 5
        4   2 6 7 3 65
        0
        0

NOTE: - for some reason boundary faces point inwards. I just reverse them always. Might use some geometric check instead. - marked faces might not actually be boundary faces of mesh. This is hopefully handled now by first constructing without boundaries and then reconstructing with boundary faces.

OPTIONS

<file prefix>
    TODO Detailed description of argument.

-noFaceFile
    Ignore the face file.

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.